Query the Step-level logs of the Workflow Job
POST/api/v8/repos/:owner/:repo/actions/runs/:run_id/jobs/:job_id/logs
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
run_id stringrequired
Pipeline Run ID
job_id stringrequired
Task ID
Query Parameters
access_token stringrequired
User authorization code
- application/json
Bodyrequired
step_idstringrequired
Step Run ID
offsetintegerrequired
Log start offset, used for incremental pagination. Pass 0 for the first page. Pass the end_offset returned last time in ascending order, and pass the start_offset returned last time in descending order.
limitintegerrequired
The maximum number of log entries to be returned this time
sortstringrequired
Sort order (asc/desc)
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
has_morebooleanrequired
start_offsetintegerrequired
end_offsetintegerrequired
logstringrequired
{
"has_more": true,
"start_offset": 0,
"end_offset": 0,
"log": "string"
}